cURL
curl --request GET \ --url https://studio.edgeimpulse.com/v1/api/{projectId}/device/{deviceId} \ --header 'x-api-key: <api-key>'
{ "success": true, "error": "<string>", "device": { "id": 1, "deviceId": "38:f9:d3:d7:62:03", "created": "2019-07-21T17:32:28Z", "lastSeen": "2019-08-31T17:32:28Z", "name": "m6d.1 desk sensor", "deviceType": "DISCO-L475VG", "sensors": [ { "name": "Built-in accelerometer", "maxSampleLengthS": 123, "frequencies": [ 62.5, 100 ] } ], "remote_mgmt_connected": true, "supportsSnapshotStreaming": true, "remoteMgmtMode": "disconnected", "remote_mgmt_host": "<string>", "inferenceInfo": { "projectId": 123, "projectOwner": "<string>", "projectName": "<string>", "deployedVersion": 123, "modelType": "classification" } } }
Retrieves a single device
Documentation IndexFetch the complete documentation index at: https://docs.nordic.edgeimpulse.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.nordic.edgeimpulse.com/llms.txt
Use this file to discover all available pages before exploring further.
Project ID
Device ID
OK
Whether the operation succeeded
Optional error description (set if 'success' was false)
Show child attributes